#ifndef _DEBUG_H
#define _DEBUG_H

#include <stdio.h>
#include <errno.h>

#define RELEASE

#ifndef RELEASE
#define DBG(args ...) \
	print_error( __FILE__, __func__, __LINE__, ##args )
#else
#define DBG(arg ... )
#endif
#define MSG	printf

void print_error(char* file, char* function, int line, const char *fmt, ...);
void hex_dump( unsigned char * buf, int len );

#endif //_DEBUG_H

